<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:clickable="true"
    android:layout_height="match_parent"
    tools:context=".ui.Konsole.KonsoleFragment">

    <ImageView
        android:id="@+id/Background"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:scaleType="centerCrop"
        android:src="@drawable/fog_background"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.0" />

    <ImageView
        android:id="@drawable/backgroundoverlay"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="-25dp"
        android:layout_marginLeft="-25dp"
        android:layout_marginTop="-25dp"
        android:layout_marginEnd="-25dp"
        android:layout_marginRight="-25dp"
        android:layout_marginBottom="-25dp"
        android:scaleType="centerCrop"
        android:src="@drawable/backgroundoverlay"
        app:layout_constraintBottom_toBottomOf="@+id/shutdown"
        app:layout_constraintEnd_toEndOf="@+id/Serverbefehle"
        app:layout_constraintStart_toStartOf="@+id/Serverbefehle"
        app:layout_constraintTop_toTopOf="@+id/textView6" />

    <Button
        android:id="@+id/shutdown"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="5dp"
        android:layout_marginLeft="5dp"
        android:layout_marginTop="10dp"
        android:background="@drawable/button_right"
        android:hapticFeedbackEnabled="true"
        android:text="@string/shutdown"
        app:backgroundTint="@null"
        app:icon="@drawable/power_settings_new_24px"
        app:layout_constraintEnd_toEndOf="@+id/Serverbefehle"
        app:layout_constraintStart_toEndOf="@+id/reboot"
        app:layout_constraintTop_toBottomOf="@+id/Serverbefehle" />

    <Button
        android:id="@+id/reboot"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:background="@drawable/button_left"
        android:hapticFeedbackEnabled="true"
        android:text="@string/reboot"
        app:backgroundTint="@null"
        app:icon="@drawable/restart_alt_24px"
        app:layout_constraintEnd_toStartOf="@+id/shutdown"
        app:layout_constraintStart_toStartOf="@+id/Serverbefehle"
        app:layout_constraintTop_toBottomOf="@+id/Serverbefehle" />

    <EditText
        android:id="@+id/befehlInput"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:backgroundTint="@color/mtrl_btn_text_color_selector"
        android:ems="10"
        android:inputType="text"
        android:textColor="@color/mtrl_btn_text_color_selector"
        android:textColorHint="@color/mtrl_btn_text_color_selector"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/textView6"
        android:layout_width="253dp"
        android:layout_height="wrap_content"
        android:gravity="center_horizontal"
        android:text="@string/konsole"
        android:textAlignment="center"
        android:textColor="@color/mtrl_btn_text_color_selector"
        android:textSize="20sp"
        app:layout_constraintBottom_toTopOf="@+id/befehlInput"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <TextView
        android:id="@+id/Serverbefehle"
        android:layout_width="300dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="25dp"
        android:gravity="center_horizontal"
        android:text="@string/serverbefehle"
        android:textAlignment="center"
        android:textColor="@color/mtrl_btn_text_color_selector"
        android:textSize="20sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.504"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/divider8" />

    <Button
        android:id="@+id/SendCommandButton"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:background="@drawable/button_round"
        android:hapticFeedbackEnabled="true"
        android:text="@string/button_send_command"
        app:backgroundTint="@null"
        app:icon="@drawable/send_24px"
        app:layout_constraintEnd_toEndOf="@+id/befehlInput"
        app:layout_constraintStart_toStartOf="@+id/befehlInput"
        app:layout_constraintTop_toBottomOf="@+id/befehlInput" />

    <ImageView
        android:id="@+id/imageView2"
        android:layout_width="500dp"
        android:layout_height="500dp"
        android:layout_marginStart="-50dp"
        android:layout_marginLeft="-50dp"
        android:layout_marginEnd="-50dp"
        android:layout_marginRight="-50dp"
        android:layout_marginBottom="-125dp"
        android:src="@drawable/teraplex_sidebar"
        app:tint="@color/mtrl_btn_text_color_selector"
        app:layout_constraintBottom_toTopOf="@+id/textView6"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <View
        android:id="@+id/divider8"
        android:layout_width="0dp"
        android:layout_height="2dp"
        android:layout_marginStart="50dp"
        android:layout_marginLeft="50dp"
        android:layout_marginTop="25dp"
        android:layout_marginEnd="50dp"
        android:layout_marginRight="50dp"
        android:background="@drawable/background_full"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/SendCommandButton" />

</androidx.constraintlayout.widget.ConstraintLayout>